### Method

# Gtk SignalAction get_signal_name

#### Declaration [src]

    const char*
    gtk_signal_action_get_signal_name (
      GtkSignalAction* self
    )

#### Description [src]

Returns the name of the signal that will be emitted.

Gets property | `Gtk.SignalAction:signal-name`

#### Return value

Type: `const char*`

The name of the signal to emit.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.